<?php

namespace App\Repositories;


use App\Http\Resources\API\UserProfileResource;
use App\Models\ApprovalFlow;
use App\Models\User;

class ApprovalRepository
{
    public static function approvalDetail(ApprovalFlow $approvalFlow, $action): array
    {
        //获取整个流程
        $nodes = isset($approvalFlow->nodes) ? $approvalFlow->nodes : [];

        foreach ($nodes as $k=> &$value) {
            $approvalUsers=User::query()->whereIn('id', $value['approval_users'])->get();
            $value['approval_log']   = isset($action[$k]) ? $action[$k] : [];
            $value['approval_users']   = UserProfileResource::collection($approvalUsers);
        }

        return $nodes;
    }



}
