<?php

namespace App\Services\History\Detector;

use App\Services\History\Converter\NamingRuleConverter;

class FileDetector extends DetectorAbstract
{
    public static function fields(): array
    {
        return [
            'title',
            'source',
            'is_hide',
            'version',
            'doc_stage',
            'doc_type',
            'naming_rules'
        ];
    }

    public static function diffFields(): array
    {
        return [
            'title',
            'source',
            'is_hide',
            'version',
            'doc_stage',
            'doc_type',
            'naming_rules'
        ];
    }

    public static function converters():array
    {
        return [
            "naming_rule_id" => new NamingRuleConverter(),
        ];
    }

    public static function arrayFields(): array
    {
        return [
            'naming_rules'
        ];
    }
}
