<?php

declare(strict_types=1);

return [
    'accept'          => '接受',
    'action'          => '行動',
    'actions'         => '行動',
    'add'             => '新增',
    'admin'           => '行政',
    'agree'           => '同意',
    'archive'         => '檔案',
    'assign'          => '分配',
    'associate'       => '链接',
    'attach'          => '附',
    'browse'          => '瀏覽',
    'cancel'          => '取消',
    'choose'          => '選擇',
    'choose_file'     => '選擇檔案',
    'choose_image'    => '選擇圖片',
    'click_to_copy'   => '點選複製',
    'close'           => '關閉',
    'collapse'        => '收合',
    'collapse_all'    => '全部收合',
    'comment'         => '留言',
    'confirm'         => '確認',
    'connect'         => '連接',
    'create'          => '建立',
    'delete'          => '刪除',
    'detach'          => '分離',
    'details'         => '細節',
    'disable'         => '停用',
    'discard'         => '丟棄',
    'done'            => '完畢',
    'down'            => '向下',
    'duplicate'       => '複製',
    'edit'            => '編輯',
    'enable'          => '啟用',
    'expand'          => '展開',
    'expand_all'      => '展開全部',
    'explanation'     => '解釋',
    'export'          => '匯出',
    'file'            => '檔案',
    'files'           => '檔案',
    'go_home'         => '回首頁',
    'hide'            => '隱藏',
    'home'            => '首頁',
    'image'           => '影像',
    'Impersonate'     => '模擬登入',
    'impersonate'     => '模仿',
    'Impersonation'   => '冒充',
    'impersonation'   => '冒充',
    'import'          => '匯入',
    'introduction'    => '介紹',
    'like'            => '喜歡',
    'load'            => '載入',
    'localize'        => '在地化',
    'log_in'          => '登入',
    'log_out'         => '登出',
    'named'           => [
        'add'       => '新增:name',
        'choose'    => '選擇:name',
        'create'    => '建立 :name 個',
        'delete'    => '刪除 :name 個',
        'duplicate' => '重複:name',
        'edit'      => '編輯:name',
        'export'    => '匯出:name',
        'hide'      => '隱藏 :name',
        'import'    => '匯入:name',
        'new'       => '新 :name',
        'restore'   => '恢復:name',
        'save'      => '儲存:name',
        'search'    => '搜尋 :name',
        'show'      => '顯示 :name',
        'update'    => '更新:name',
        'view'      => '檢視:name',
    ],
    'new'             => '新的',
    'no'              => '不',
    'open'            => '打開',
    'open_website'    => '在網站上打開',
    'preview'         => '預覽',
    'price'           => '價格',
    'record'          => '記錄',
    'restore'         => '恢復',
    'save'            => '儲存',
    'save_and_close'  => '儲存並關閉',
    'save_and_return' => '儲存並返回',
    'search'          => '搜尋',
    'select'          => '選擇',
    'select_all'      => '全選',
    'send'            => '傳送',
    'settings'        => '設定',
    'show'            => '顯示',
    'show_all'        => '顯示全部',
    'sign_in'         => '登入',
    'solve'           => '解決',
    'start'           => '開始',
    'stop'            => '停止',
    'submit'          => '提交',
    'subscribe'       => '訂閱',
    'switch'          => '切換',
    'switch_to_role'  => '切換角色',
    'tag'             => '標籤',
    'tags'            => '標籤',
    'target_link'     => [
        'blank'  => '在新視窗中開啟',
        'parent' => '在父框架中打開',
        'self'   => '在目前視窗中開啟',
        'top'    => '在最上面的框架中打開',
    ],
    'translate'       => '翻譯',
    'translate_it'    => '翻譯它',
    'unpack'          => '打開包裝',
    'unsubscribe'     => '退訂',
    'up'              => '向上',
    'update'          => '更新',
    'user'            => '使用者',
    'view'            => '檢視',
    'yes'             => '是',
];
